• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

[ROM][S9+/S9][LineageOS 17.1][UNOFFICIAL][05-06-20][OTA]

Search This thread

aeroman

Senior Member
Jul 12, 2007
1,430
681
Ruhrpott.de
new build 6.6. from ota running flawlessly with dual sim too thanks[emoji106]
there is no zip failure more


Gesendet von iPad mit Tapatalk
 

tomcatxx

Member
May 16, 2013
10
0
With newest release fom 27.06.2020 (updated from 10.06.2020) i get bootlop to recovery.
Anyone else facing this problem ?
I setup my phone 2 days ago. Device is encrypted.
No gapps just microg.
Bootloader: BL_G965FXXU9ETF5
Moden: CP_G965FXXU9ETF2
Vendor: G965FXXU9ETF5
MD5 of lineage-17.1-20200627-UNOFFICIAL-star2lte.zip is ok.
Flashing 10.06.2020 again and device is booting normaly.
 
Last edited:

Mr Dobermann

Senior Member
Feb 9, 2013
219
89
Google Pixel 3a
Google Pixel 5
With newest release fom 27.06.2020 (updated from 10.06.2020) i get bootlop to recovery.
Anyone else facing this problem ?
I setup my phone 2 days ago. Device is encrypted.
No gapps just microg.
Flashing 10.06.2020 again and device is booting normaly.
Same here, updated from 7.6.2020 build. Tried several bootloaders and vendors, to no avail. My device (starlte) is unencrypted, so no (dis)advantage there.

BTW: Lineage Updater downloaded star2lte build instead of in my case appropriate starlte one. I only discovered that after flashing... Dunno if that error is corrected in later starlte builds. Phone booted alright after flashing the build I came from, after which I tried the starlte 27.6.2020 build.
 
Last edited:

testerS4

Senior Member
Mar 7, 2019
149
34
What is that for an update from June 27, 2020? I am appalled. Apps were installed such as, My Galaxy, which are not compatible with Lineage, Singtel, UBank and Yandex with Russian menu navigation. Can someone please enlighten me here in the community? Can't that be Rob's? OTA did not find anything. I downloaded and installed the ZIP from GitHub.
sorry for engl ... I use translators)
Device: G960F (starlte)
Baseband G960FXXS9DTD7
 
Last edited:

LeoMaier

Member
Dec 4, 2014
27
4
What is that for an update from June 27, 2020? I am appalled. Apps were installed such as, My Galaxy, which are not compatible with Lineage, Singtel, UBank and Yandex with Russian menu navigation. Can someone please enlighten me here in the community? Can't that be Rob's? OTA did not find anything. I downloaded and installed the ZIP from GitHub.
sorry for engl ... I use translators)
Device: G960F (starlte)
Baseband G960FXXS9DTD7

After the OTA update I had this above mentioned apps on my phone. Very strange. ...Can anybody explain this to me?
 

testerS4

Senior Member
Mar 7, 2019
149
34
Fortunately, these apps can be deactivated. But the feeling of still having them on the phone is not nice.
(sorry for engl ... I use translators)
Device: G960F (starlte)
Kernel: 4.9.118
Baseband G960FXXS9DTD7
 

testerS4

Senior Member
Mar 7, 2019
149
34
I am a big fan of Rob and his work. I have already donated because this elaborate work should also be recognized. I came across another lineage via 20200629 today and installed it for testing. This does not bring these apps. I'm a little confused about it.
sorry for engl ... I use translators)
Device: G960F (starlte)
Kernel: 4.9.218
Baseband G960FXXS9DTD7
 

DeCo59

Member
Mar 3, 2013
24
6
Still the same problem with the 12/07 build, my phone don't boot, I had to rollback to 10/06 build

Phone : s9+ (G965F)
BL : G965FXXU9ETF5
Vendor : G965FXXU9ETF5
Kernel : white wolf 022
 

sleepeeg3

Senior Member
Oct 25, 2009
52
2
Download the latest build and latest stock vendor.img that is available (optionally gapps and magisk if needed)

How to update builds?
  • Flash only the rom.zip and it will automatically reinstall your gapps, magisk etc
 

Freeze24

Senior Member
Apr 14, 2012
58
25
Bavaria
Samsung Galaxy S9
  • Like
Reactions: aeroman

qweiniq

New member
Jul 16, 2019
4
0
autoencryption

A few days ago i made an update to twpr 3.4. yesterday i made an update to the last nightly 2020/07/30 at startup the internal memory was encrypted without my intention.
Now you can not undo this. Is there a way to find out the code for decrypting so I can use twpr again?
 

dzsipokink

Member
Jun 17, 2020
8
2
Pécs
Crackling sound on loudspeaker

Looks like ur Phone is not up to date on all points...
Check out my sys info and you see the differences.

You have to update. Vendor, Bootloader and Modem.
What I did:
Use SamFirm to get newest firmware.
Decrypt&extract it. Use Odin and flash BL and CP.
Convert vendor using lz4.
It's inside the AP_* Archive as lz4 file.
Flash vendor with twrp.
Flash LinageOS with twrp.

Hey! When I'm having a call and set my phone to loudspeaker people can't hear me. All they hear is a crackling noise.

Could the outdated modem and vendor cause the problem? I flased LinageOS from the latest available samsung Q rom from sammobile one week ago.
 

Top Liked Posts

  • There are no posts matching your filters.
  • 26


    What's working:
    • Wi-Fi
    • Bluetooth
    • Mobile Network (Calling, Data, etc.)
    • Signal Strength
    • GPS
    • NFC
    • Audio (Stereo Speakers)
    • Camera
    • Fingerprint Sensor
    • HDMI
    • MTP
    • Call Recording
    • HWC
    • Encryption
    • SELinux Enforcing
    • OTA Updates

    Bugs:
    • ?

    Notes:
    • If you are not on Q BL it will not boot.
    • I would suggest 3.2.3 TWRP or the included lineage recovery
    • For encryption to work make sure you are on 3.2.3 twrp and haven't formatted /data with any newer versions, issue described here.
    • Use a stock unmodified vendor and update whenever available, we are using our own fstab now for optional encryption and adoptable storage support so we don't need to touch the vendor.
    • If you go back to an official build after this with stock vendor, you will be force encrypted on first boot.
    • These builds are based on the official lineage device trees and kernel, but with more flexibility and my preferred configuration.
    • Lineage Recovery will be uploaded with each build and if you will only be running this rom i suggest to switch to it.

    Instructions:
    • Make sure TWRP has been installed and is functional
    • Download the latest build and latest stock vendor.img that is available (optionally gapps and magisk if needed)
    • Reboot to recovery
    • Wipe data and cache (required if you switch from other ROMs)
    • Flash the vendor image
    • Flash the latest build (then gapps and magisk if needed)
    • Reboot

    How to update builds?
    • OTA or manually like below
    • Do not wipe anything unless stated in the changelog
    • Flash only the rom.zip and it will automatically reinstall your gapps, magisk etc
    • use /system/addon.d if you would like to keep system mods after an update

    Downloads:

    Telegram Channel:
    @godlike9810

    Paypal:
    synt4x.93

    XDA:DevDB Information
    LineageOS 17.1, ROM for the Samsung Galaxy S9/+

    Contributors
    Synt4x.93, Erfanoabdi
    Source Code: https://github.com/synt4x93/

    ROM OS Version: Android 10
    ROM Kernel: Linux 4.9.226
    ROM Firmware Required: Q BL / Q Vendor

    Version Information
    Status: Stable

    Created: 01-04-2020
    Last Updated: 05-06-2020
    14
    uploaded new build with a few fixes and 4.9.218 kernel, and s9 / s9+ DTC5 modified vendors too.
    8
    Samsung Galaxy S9 (starlte), S9+ (star2lte) & Note 9 (crownlte) got added to the roster of official LineageOS 17.1, if all goes well with the LineageOS automated builder, downloads should be available on 2020-04-15.
    Maintainer: erfanoabdi
    4
    Yeah its à rom issue, I have the same problem

    So true afwall+ not works on this rom which is kind of a deal breaker for me

    ---------- Post added at 05:51 AM ---------- Previous post was at 05:48 AM ----------



    yes bro it happen to me also the same freaking error i love to flash a custom until an unless i unless there is a firewall activated
    is a rom issue ...

    Thanks for pointing this out guys issue is fixed now, i had made a mistake with the kernel.
    will be uploading new builds later hopefully if i get time, feel free to compile yourself i've pushed it all to github.

    Hi there,

    I'd like to install this over Lineage 15.1. I'll do a clean install, but I have questions about the bootloader:

    - I am in the UK and have a S9 model SM-G960F (starlte). Where can I obtain the correct Q bootloader?

    - What's the best way to flash the Q bootloader? Can it be done with TWRP? If not, how best to do it with command line on a Linux PC? I have Heimdall installed.

    thanks!

    ---------- Post added at 04:14 PM ---------- Previous post was at 03:31 PM ----------

    Oh, another question. Are there flashable zip files to add/remove root for this ROM?

    latest bootloader from devbase thread is the easiest way, can flash via TWRP.
    Magisk v20.4 for root.
    4
    new builds
    need people to confirm if apple airpods or if other AAC codec devices are working correctly for bluetooth calls now.
    seems to be fixed after some changes but need more feedback, other changes too but check git
    thanks